#include <bits/stdc++.h>

using namespace std;
ifstream f1("bai1_16.INP");
    ofstream f2("bai1_16.OUT");
int d[1000000];



int main()
{int n,i=2,j=0;
f1>>n;
while (n>1)
{ if (n%i==0)
{ j++;
d[j]=i;
while (n%i ==0) { n=n/i;}
}
 i++;
  if (i*i>n&&n!=1) { j++; d[j]=n; break;}}

 f2<<d[j];
}
